%define upstream_name    Lingua-KO-Romanize-Hangul
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Romanization of Korean language
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Hangul is phonemic characters of the Korean language. This module follows
the 'Revised Romanization of Korean' which was released on July 7, 2000 as
the official romanization system in South Korea.

$conv = Lingua::KO::Romanize::Hangul->new();
    This constructer methods returns a new object.

$roman = $conv->char( $hangul );
    This method returns romanized letters of a Hangul character. It returns
    undef when $hanji is not a valid Hangul character. The argument's
    encoding must be UTF-8.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Oct 03 2022 tv <tv> 0.200.0-1.mga9
+ Revision: 1894242
- imported package perl-Lingua-KO-Romanize-Hangul

